Page MenuHomePhabricator

https://it.wikivoyage.org throwing exception due to problem generating page credits
Closed, ResolvedPublic

Description

Any opened page (homepage inlcuded) shows just "Exception encountered, of type "BadMethodCallException"".

Apparently only https://it.wikivoyage.org/wiki/Speciale:UltimeModifiche works.

Event Timeline

Andyrom75 created this task.Jun 2 2015, 7:01 PM
Andyrom75 raised the priority of this task from to Unbreak Now!.
Andyrom75 updated the task description. (Show Details)
Andyrom75 added a subscriber: Andyrom75.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 7:01 PM
Legoktm added a subscriber: Legoktm.Jun 2 2015, 7:03 PM

2015-06-02 20:53:44 mw1110 itwikivoyage exception INFO: [4e59fb1c] /wiki/Germania_centrale BadMethodCallException from line 367 of /srv/mediawiki/php-1.26wmf8/includes/skins/SkinTemplate.php: Call to a member function getCredits() on a non-object (boolean)
#0 /srv/mediawiki/php-1.26wmf8/extensions/MobileFrontend/includes/skins/SkinMinerva.php(92): SkinTemplate->prepareQuickTemplate()
#1 /srv/mediawiki/php-1.26wmf8/includes/skins/SkinTemplate.php(230): SkinMinerva->prepareQuickTemplate()
#2 /srv/mediawiki/php-1.26wmf8/extensions/MobileFrontend/includes/skins/SkinMinerva.php(1074): SkinTemplate->outputPage()
#3 /srv/mediawiki/php-1.26wmf8/includes/OutputPage.php(2296): SkinMinerva->outputPage()
#4 /srv/mediawiki/php-1.26wmf8/includes/MediaWiki.php(613): OutputPage->output()
#5 /srv/mediawiki/php-1.26wmf8/includes/MediaWiki.php(431): MediaWiki->main()
#6 /srv/mediawiki/php-1.26wmf8/index.php(41): MediaWiki->run()
#7 /srv/mediawiki/w/index.php(3): include()
#8 {main} {"private":false}

wtf

Andyrom75 updated the task description. (Show Details)Jun 2 2015, 7:03 PM
Andyrom75 set Security to None.
Andyrom75 removed a subscriber: Legoktm.
Andyrom75 added a subscriber: Legoktm.

Now it seems that everything has back to normality.
What has happened?

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJun 2 2015, 7:21 PM
mmodell added a subscriber: mmodell.Jun 2 2015, 7:36 PM

I don't quite get it. Seems like the credits are being displayed despite maxCredits==0?

oh is this only occurring on mobile?

ori added a subscriber: ori.Jun 2 2015, 7:40 PM

No; I fixed this with https://gerrit.wikimedia.org/r/#/c/215394/ , then reverted in https://gerrit.wikimedia.org/r/#/c/215397/ , so max credits is again nonzero for the wikivoyages. The question is how it ever worked. The $wgActions['credits'] = false line was not new.

kaldari claimed this task.Jun 3 2015, 12:42 AM

Yeah, I'm not sure what triggered the breakage here. @ori Is there anything else that needs to be done, or can I mark this as Resolved?

kaldari renamed this task from https://it.wikivoyage.org out of order to https://it.wikivoyage.org throwing exception due to problem generating page credits.Jun 3 2015, 1:00 AM
kaldari moved this task from To Triage to 2017-18 Q3 on the Readers-Web-Backlog board.
ori closed this task as Resolved.Jun 3 2015, 5:32 AM

Yeah, I'm not sure what triggered the breakage here. @ori Is there anything else that needs to be done, or can I mark this as Resolved?

I think it's OK to mark this resolved. I'd love to know what caused this bug to surface but I don't think the pay-off in investigating this thoroughly would be worth the effort.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 7 2018, 1:18 AM